# Generated by Django 3.2.2 on 2022-06-28 11:14

from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=64, verbose_name='名称')),
                ('mode', models.PositiveSmallIntegerField(blank=True, choices=[(1, '电脑'), (2, '手机')], default=1, verbose_name='模式')),
                ('script', models.TextField(blank=True, default='', verbose_name='脚本')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('sender_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='browser_projects', to='contenttypes.contenttype', verbose_name='发起者')),
            ],
            options={
                'verbose_name': '项目',
                'verbose_name_plural': '项目',
                'ordering': ('-create_time',),
                'unique_together': {('name', 'sender_type')},
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(db_index=True, max_length=255, verbose_name='URL地址')),
                ('status', models.PositiveSmallIntegerField(blank=True, choices=[(0, '等待'), (1, '执行中'), (2, '成功'), (4, '放弃')], db_index=True, default=0, verbose_name='状态')),
                ('data', xyz_util.modelutils.JSONField(blank=True, default={}, verbose_name='数据')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('salt', models.CharField(default='', max_length=6, verbose_name='加密盐')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='修改时间')),
                ('apply_time', models.DateTimeField(blank=True, null=True, verbose_name='申请时间')),
                ('finish_time', models.DateTimeField(blank=True, null=True, verbose_name='结束时间')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tasks', to='browser.project', verbose_name='项目')),
            ],
            options={
                'verbose_name': '任务',
                'verbose_name_plural': '任务',
                'ordering': ('-create_time',),
            },
        ),
    ]
